import { SimpleLocalIntegration } from '../../core/index.js';
import { DovadoConfigFlow } from './dovado.classes.configflow.js';
import { createDovadoDiscoveryDescriptor } from './dovado.discovery.js';
import type { IDovadoConfig } from './dovado.types.js';
import { dovadoDomain, dovadoProfile } from './dovado.types.js';

export class DovadoIntegration extends SimpleLocalIntegration<IDovadoConfig> {
  public readonly domain = dovadoDomain;
  public readonly discoveryDescriptor = createDovadoDiscoveryDescriptor();
  public readonly configFlow = new DovadoConfigFlow();

  constructor() {
    super(dovadoProfile);
  }
}

export class HomeAssistantDovadoIntegration extends DovadoIntegration {}
